Create trusted email domain
POST/accounts/{account_id}/email-security/settings/trusted_domains
Creates a new trusted domain pattern. Use for partner domains or approved senders that should bypass recent domain registration and similarity checks. Configure whether it prevents recent domain or spoof dispositions.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Create trusted email domain
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/settings/trusted_domains \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"is_recent": true,
"is_regex": false,
"is_similarity": false,
"pattern": "example.com",
"comments": "Trusted partner domain"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Trusted partner domain",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_recent": true,
"is_regex": false,
"is_similarity": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "example.com"
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"comments": "Trusted partner domain",
"created_at": "2014-01-01T05:20:00.12345Z",
"is_recent": true,
"is_regex": false,
"is_similarity": false,
"last_modified": "2014-01-01T05:20:00.12345Z",
"modified_at": "2014-01-01T05:20:00.12345Z",
"pattern": "example.com"
}
}